#include <getopt.h>
#include <stdlib.h>

#include "CcConfig.h"
#include "commons.h"

CcConfig::CcConfig()
{
	setCcType(DEFAULT_CCTYPE);
	setCcActive(true);
	
	ccOsdPosX	= DEFAULT_OSD_X;
	ccOsdPosY	= DEFAULT_OSD_Y;
	ccOsdWidth	= DEFAULT_OSD_WIDTH;	
	ccOsdHeight	= DEFAULT_OSD_HEIGHT;
}

CcConfig::~CcConfig()
{
}

int CcConfig::getCcType(){
	return ccType;
}

void CcConfig::setCcActive(bool isActive){
	ccActive = isActive;
}

void CcConfig::setCcType(int type){	
	if(type>=CC1 && type<=CC4)
		ccType = type;
	dsyslog("CC type changed to %d", ccType);
}
	
void CcConfig::cloneFrom(CcConfig &source){
	setCcType(source.getCcType());
	setCcActive(source.getCcActive());
	
	ccOsdPosX	=source.getCcOsdPosX();
	ccOsdPosY	=source.getCcOsdPosY();
	ccOsdWidth	=source.getCcOsdWidth();
	ccOsdHeight	=source.getCcOsdHeight();					
}

bool CcConfig::storeParameter(const char *Name, const char *Value){
  //TODO Parse your own setup parameters and store their values.
  int intVal = -1;
  if(!strcasecmp(Name, "CC Type")){
  	intVal = atoi(Value)-1;
  	if(intVal>0)
	  	setCcType(intVal);
	else
		return false;
  }
  else
	  if(!strcasecmp(Name, "Active")){
  		intVal = atoi(Value)-1;
	  	if(intVal>0)
		  	setCcActive(intVal);
		else
			return false;
	  }
  return true;
}
